<?php

/**
 * Active Callbacks
 *
 * @package moving_truck_rental
 */

// Theme Options.
function moving_truck_rental_is_pagination_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_enable_pagination' )->value() );
}
function moving_truck_rental_is_breadcrumb_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_enable_breadcrumb' )->value() );
}
function moving_truck_rental_is_layout_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_website_layout' )->value() );
}
function moving_truck_rental_is_pagetitle_bcakground_image_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_page_header_style' )->value() );
}
function moving_truck_rental_is_preloader_style( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_enable_preloader' )->value() );
}

// Header Options.
function moving_truck_rental_is_topbar_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_Setting( 'moving_truck_rental_enable_topbar' )->value() );
}

// Banner Slider Section.
function moving_truck_rental_is_banner_slider_section_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_enable_banner_section' )->value() );
}
function moving_truck_rental_is_banner_slider_section_and_content_type_post_enabled( $moving_truck_rental_control ) {
	$moving_truck_rental_content_type = $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_banner_slider_content_type' )->value();
	return ( moving_truck_rental_is_banner_slider_section_enabled( $moving_truck_rental_control ) && ( 'post' === $moving_truck_rental_content_type ) );
}
function moving_truck_rental_is_banner_slider_section_and_content_type_page_enabled( $moving_truck_rental_control ) {
	$moving_truck_rental_content_type = $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_banner_slider_content_type' )->value();
	return ( moving_truck_rental_is_banner_slider_section_enabled( $moving_truck_rental_control ) && ( 'page' === $moving_truck_rental_content_type ) );
}

// Service section.
function moving_truck_rental_is_post_tab_section_and_content_type_page_enabled( $moving_truck_rental_control ) {
	$moving_truck_rental_content_type = $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_banner_slider_content_type' )->value();
	return ( moving_truck_rental_is_banner_slider_section_enabled( $moving_truck_rental_control ) && ( 'page' === $moving_truck_rental_content_type ) );
}
function moving_truck_rental_is_post_tab_section_and_content_type_post_enabled( $moving_truck_rental_control ) {
	$moving_truck_rental_content_type = $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_banner_slider_content_type' )->value();
	return ( moving_truck_rental_is_banner_slider_section_enabled( $moving_truck_rental_control ) && ( 'post' === $moving_truck_rental_content_type ) );
}
function moving_truck_rental_is_service_section_enabled( $moving_truck_rental_control ) {
	return ( $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_enable_service_section' )->value() );
}
function moving_truck_rental_is_service_section_and_content_type_post_enabled( $moving_truck_rental_control ) {
	$moving_truck_rental_content_type = $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_service_content_type' )->value();
	return ( moving_truck_rental_is_service_section_enabled( $moving_truck_rental_control ) && ( 'post' === $moving_truck_rental_content_type ) );
}
function moving_truck_rental_is_service_section_and_content_type_page_enabled( $moving_truck_rental_control ) {
	$moving_truck_rental_content_type = $moving_truck_rental_control->manager->get_setting( 'moving_truck_rental_service_content_type' )->value();
	return ( moving_truck_rental_is_service_section_enabled( $moving_truck_rental_control ) && ( 'page' === $moving_truck_rental_content_type ) );
}